LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAutoscroll Interface Referencepublished

Interface for autoscroll support. More...

`import"XAutoscroll.idl";`

Inheritance diagram for XAutoscroll:

## Public Member Functions
void | autoscroll ([in] long cursorLocationX, [in] long cursorLocationY)
| Notify the component to autoscroll. More...
any | getAutoscrollRegion ()
| Returns the regions describing the autoscrolling region. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface for autoscroll support.

During Drag and Drop operations it is possible that a user may wish to drop the subject of the operation on a region of a scrollable GUI control that is not currently visible to the user.

In such situations it is desirable that the GUI control detect this and institute a scroll operation in order to make obscured region(s) visible to the user. This feature is known as autoscrolling.

If a GUI control is both an active DropTarget and is also scrollable, it can receive notifications of autoscrolling gestures by the user from the Drag and Drop system by implementing this interface.

An autoscrolling gesture is initiated by the user by keeping the drag cursor motionless with a border region of the Component, referred to as the "autoscrolling region", for a predefined period of time, this will result in repeated scroll requests to the Component until the drag Cursor resumes its motion.

## Member Function Documentation

## ◆ autoscroll()

void autoscroll | ( | [in] long | cursorLocationX,
|  | [in] long | cursorLocationY
| ) |  |

Notify the component to autoscroll.

Parameters

  cursorLocationX | X location of the cursor in pixel.
  cursorLocationY | Y location of the cursor in pixel.

## ◆ getAutoscrollRegion()

any getAutoscrollRegion | ( |  | ) |

Returns the regions describing the autoscrolling region.

Returns
  The regions describing the autoscrolling region or border relative to the geometry of the implementing component.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/dnd/XAutoscroll.idl